{
    "display": {
        "icon": {
            "id": "purple_concrete"
        },
        "title": "The Samsung's Begining?",
        "description": "Use a Samsung Portal!",
        "frame": "task"
    },
    "parent": "story/upgrade_tools",
    "criteria": {
        "enter_samsung_dim": {
            "trigger": "location",
            "conditions": {
                "player": {
                    "location": {
                        "dimension": "samsung:samsung_store"
                    }
                }
            }
        }
    },
    "rewards": {
        "recipes": [
            "samsung:cpu",
            "samsung:ram",
            "samsung:screen",
            "samsung:function"
        ]
    }
}